/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
/*browser:true*/
/*global define*/
define(
    [
        'Magento_Payment/js/view/payment/cc-form',
        'jquery',
        'Magento_Checkout/js/model/full-screen-loader',
        'Magento_Ui/js/model/messageList',
        'Magento_Payment/js/model/credit-card-validation/validator'
    ],
    function (Component, $, fullScreenLoader, globalMessageList) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'TcbPay_Payment/payment/simple'
            },

            getCode: function() {
                return 'tcbpay_simple';
            },

            isActive: function() {
                return true;
            },

            validate: function() {
                var $form = $('#' + this.getCode() + '-form');
                return $form.validation() && $form.validation('isValid');
            }
        });
    }
);